package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：IsSystemYesNo
 * @Date：2024/8/4 9:10
 */
@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYesNoValidator.class})
public @interface IsSystemYesNo {

    String message() default "数据字典:[系统是否] - 参数不合法";
    //自定义校验

}
