package com.muyu.common.core.validation.custom;



import com.muyu.common.core.enums.SysPayType;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.core.validation.custom
 * @Project：cloud-common-core
 * @name：SystemPayTypeValidator
 * @Date：2024/8/6 23:12
 */
public class SystemPayTypeValidator implements ConstraintValidator<IsSystemPayType,String> {


    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysPayType.isCode(s);
    }
}
